/**
 * Copyright (c) 2018-present, heineiuo.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="node" />
import BitBuffer from './BitBuffer';
import Slice from './Slice';
import { FilterPolicy } from './Options';
/**
 * time of hash is main effect
 * best time of hash = bits number / elements bumber x ln2(≈0.69)
 * elements bumber and ln2 is predictable
 * bits number is configable
 * from past experience, bitsPerKey = 10 is best
 */
export default class BloomFilter implements FilterPolicy {
    constructor(buffer?: Buffer, bitsPerKey?: number);
    private _buffer;
    private _offset;
    private _size;
    private _kNumber;
    private _bitBuffer;
    private _bitsPerKey;
    readonly bitsPerKey: number;
    readonly bitBuffer: BitBuffer;
    readonly buffer: Buffer;
    readonly size: number;
    readonly kNumber: number;
    name(): string;
    putKeys(keys: Slice[], n: number): void;
    keyMayMatch(key: Slice, bloomFilter: Slice): boolean;
}
