/**
 * Copyright (c) 2018-present, heineiuo.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="node" />
import { Comparator } from './Comparator';
import Slice from './Slice';
import { Env, InfoLog } from './Env';
import { SequenceNumber } from './Format';
import Block from './SSTableBlock';
import Cache from './Cache';
export interface FilterPolicy {
    name(): string;
    keyMayMatch(key: Slice, filter: Slice): boolean;
}
export declare class ReadOptions {
    verifyChecksums: boolean;
    fillCache: boolean;
    snapshot: SequenceNumber;
}
export declare class IteratorOptions extends ReadOptions {
    start: string | Buffer;
}
export declare class WriteOptions {
    sync: boolean;
}
export declare class Options {
    comparator: Comparator;
    writeBufferSize: number;
    maxFileSize: number;
    maxOpenFiles: number;
    blockCache: Cache<Buffer, Block>;
    blockSize: number;
    blockRestartInterval: number;
    env: Env;
    infoLog: InfoLog;
    reuseLogs: boolean;
    filterPolicy: FilterPolicy;
    debug: boolean;
    lockfileStale: number;
}
