/**
 * Copyright (c) 2018-present, heineiuo.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="node" />
import { Comparator } from './Comparator';
import { BlockContents, Entry } from './Format';
import Slice from './Slice';
interface RestartedEntry {
    entry: Entry;
    shared: number;
    nonShared: number;
    rawSize: number;
}
export default class SSTableBlock {
    constructor(contents: BlockContents);
    blockType: string;
    private _restartPoint;
    private _size;
    private _buffer;
    readonly buffer: Buffer;
    readonly size: number;
    getNumRestarts(): number;
    decodeEntry(offset: number, lastKey: Slice): RestartedEntry;
    restartPointIterator(): IterableIterator<number>;
    iterator(comparator: Comparator): IterableIterator<Entry>;
}
export {};
