"use strict";

exports.__esModule = true;
exports.default = void 0;

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

/**
 * Copyright (c) 2018-present, heineiuo.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
class Slice {
  constructor(value = Buffer.alloc(0)) {
    _defineProperty(this, "_buffer", void 0);

    if (value instanceof Slice) {
      this._buffer = value._buffer;
    } else if (Buffer.isBuffer(value)) {
      this._buffer = value;
    } else if (typeof value === 'string') {
      this._buffer = Buffer.from(value);
    } else {
      this._buffer = Buffer.from(JSON.stringify(value));
    }
  }

  get buffer() {
    return this._buffer;
  }

  set buffer(buf) {
    this._buffer = buf;
  }

  get length() {
    return this._buffer.length;
  }

  get size() {
    return this._buffer.length;
  }

  toString(encoding) {
    return this._buffer.toString(encoding);
  }

  clear() {
    this._buffer = Buffer.alloc(0);
  }

  compare(slice) {
    return this._buffer.compare(slice.buffer);
  }

  isEqual(slice) {
    return this.compare(slice) === 0;
  }

}

exports.default = Slice;
//# sourceMappingURL=Slice.js.map