/**
 * Copyright (c) 2018-present, heineiuo.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { InternalKey } from './Format';
import { CompactPointer, DeletedFile, NewFile } from './VersionFormat';
export default class VersionEdit {
    compactPointers: CompactPointer[];
    deletedFiles: DeletedFile[];
    newFiles: NewFile[];
    private _comparator;
    private _logNumber?;
    private _prevLogNumber?;
    private _lastLogNumber?;
    private _lastSequence?;
    private _nextFileNumber?;
    private _hasComparator?;
    private _hasLogNumber?;
    private _hasPrevLogNumber?;
    private _hasNextFileNumber?;
    private _hasLastSequence?;
    constructor();
    clear(): void;
    comparator: string;
    logNumber: number;
    prevLogNumber: number;
    nextFileNumber: number;
    lastSequence: number;
    readonly hasComparator: boolean;
    readonly hasLogNumber: boolean;
    readonly hasPrevLogNumber: boolean;
    readonly hasNextFileNumber: boolean;
    readonly hasLastSequence: boolean;
    deleteFile(level: number, fileNum: number): void;
    addFile(level: number, fileNum: number, fileSize: number, smallest: InternalKey, largest: InternalKey): void;
    setCompactPointer(level: number, internalKey: InternalKey): void;
}
