/**
 * Copyright (c) 2018-present, heineiuo.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/// <reference types="node" />
import MemTable from './MemTable';
import { SequenceNumber, EntryRequireType } from './Format';
export declare class WriteBatchInternal {
    static kHeader: number;
    static byteSize(batch: WriteBatch): number;
    static insert(batch: WriteBatch, mem: MemTable): void;
    static getContents(batch: WriteBatch): Buffer;
    static setContents(batch: WriteBatch, contents: Buffer): void;
    static setSequence(batch: WriteBatch, sequence: number): void;
    static getSequence(batch: WriteBatch): SequenceNumber;
    static setCount(batch: WriteBatch, count: number): void;
    static getCount(batch: WriteBatch): number;
    static append(dst: WriteBatch, src: WriteBatch): void;
}
export declare class WriteBatch {
    buffers: Buffer[];
    head: Buffer;
    put(key: string | Buffer, value: string | Buffer): void;
    del(key: string | Buffer): void;
    clear(): void;
    iterator(): IterableIterator<EntryRequireType>;
}
